# Convoy Software End User License Agreement (EULA)

**Effective Date:** March 3th, 2024

**Last Updated:** March 13th, 2024

**License Grantor:** Performave

## 1. Acceptance of Terms

By installing, copying, downloading, accessing, or otherwise using the Convoy Panel software ("Software"), you agree to
be bound by the terms of this End User License Agreement ("EULA"). If you do not agree to the terms of this EULA, do not
install or use the Software.

## 2. License Grant

### 2.1 Personal Use License

Performave grants you a non-exclusive, non-transferable, free license to download, install, and use the Software for
personal, non-commercial purposes, provided that you comply with all the terms and conditions of this EULA.

### 2.2 Enterprise License

If you wish to use the Software for commercial purposes, including but not limited to production environments, business
operations, or any activity intended for profit, you must subscribe to an Enterprise License. The Enterprise License is
subscription-based, and the fees are based on the number of nodes on which the Software is used. The specific terms,
including the fee structure and the number of nodes allowed, will be determined at the time of the subscription. Each
license permits the use of the Software on the number of nodes paid for and is non-transferable.

### 2.3 Non-Profit Organization License

Non-profit organizations, upon providing proof of 501(c)(3) registration or its equivalent, are granted a non-exclusive,
non-transferable license to use the Software for free. The Software may be used for the organization's operational
purposes, subject to the terms and conditions of this EULA.

### 2.4 Partnership Licenses

Licenses obtained through partnerships or negotiations with Performave are valid as per the agreements made during such
negotiations. These licenses are subject to the specific terms agreed upon and must also adhere to the general terms and
conditions of this EULA.

### 2.5 Insider License

Performave may grant an Insider License to individuals recruited specifically for testing new versions or features of
the Software. This license includes a waiver of fees associated with the use of the Software during the testing period.
Testers are expected to be available to test the Software as required and provide feedback to Performave. Performave
reserves the right to revoke this license at any time at its discretion, including for lack of participation or if the
tester's needs no longer align with the testing program's objectives.

## 3. Legal Use Requirement

You agree to use the Software only for lawful purposes and in compliance with all applicable laws and regulations. Any
use of the Software for illegal or criminal activities is strictly prohibited. Performave reserves the right to
terminate your license if you engage in any illegal conduct with the Software. In the event of such termination,
Performave isn't obligated to refund any transactions.

## 4. Restrictions

The following restrictions apply to your use of the Software, but these are not all-inclusive. Additional restrictions
may also apply as outlined elsewhere in this EULA or as otherwise determined by Performave:

- You may not modify the Software in a manner that interferes with its licensing mechanism or changes its copyright
  information without making substantial other modifications.
- You are permitted to modify the Software for your personal or enterprise use to tailor it to your needs, provided such
  modifications do not violate the restrictions stated in this EULA.
- You may not distribute or sublicense modified versions of the Software that violate the terms of this EULA.
- You may not use the Software in any manner that could damage, disable, overburden, or impair any Performave server, or
  the network(s) connected to any Performave server, or interfere with any other party's use and enjoyment of the
  Software.

### 4.1 Additional Licensing Terms for Modifications and Contributions

Any modifications, enhancements, derivative works of the Software, or any code from the Software that is incorporated into other works by you or any third party are considered part of the Software and subject to the terms and conditions of this EULA. Such modifications, derivative works, or incorporated code must be offered under the same terms and conditions as those set forth in this EULA, including any provisions regarding distribution and sublicensing. You may not alter the terms of this EULA or sublicense any modifications, derivative works, or incorporated code under terms that differ from those specified in this EULA.

## 5. License Enforcement and Digital Rights Management

Performave employs various measures, including Digital Rights Management (DRM), to enforce the terms of this EULA and prevent unauthorized use of the Software. These measures may include, but are not limited to, remotely disabling access to the Software or specific features of the Software for users who are found to be in violation of this EULA. By using the Software, you acknowledge and agree that Performave may, at its sole discretion, implement such measures.

You further agree that Performave shall not be responsible or liable for any loss, damage, or inconvenience you may suffer as a result of such actions taken to enforce this EULA. Your rights under this EULA may be subject to termination and denial of access to the Software without notice if any form of tampering with or circumvention of the DRM or other license enforcement mechanisms is detected.

This section is designed to inform users of the license enforcement practices and to legally protect Performave from liability for actions taken in good faith to protect its intellectual property rights.

## 6. Intellectual Property Rights

The Software is protected by intellectual property laws and treaties. Performave or its suppliers own all title,
copyright, and interest in and to the Software, including any intellectual property rights therein. This EULA grants you
no rights to use such content. All rights not expressly granted are reserved by Performave.

## 7. Termination

This EULA is effective until terminated. Your rights under this EULA will terminate automatically without notice from
Performave if you fail to comply with any term(s) of this EULA. Upon termination, you shall cease all use of the
Software and destroy all copies, full or partial, of the Software.

## 8. Disclaimer of Warranty

The Software is provided "AS IS," with all faults, without warranty of any kind, and Performave hereby disclaims all
warranties and conditions with respect to the Software, either express, implied, or statutory, including, but not
limited to, the implied warranties and/or conditions of merchantability, of satisfactory quality, of fitness for a
particular purpose, of accuracy, of quiet enjoyment, and non-infringement of third-party rights.

## 9. Limitation of Liability

In no event shall Performave be liable for any indirect, incidental, special, consequential, or punitive damages
whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business
information, or any other pecuniary loss) arising out of the use of or inability to use the Software, even if Performave
has been advised of the possibility of such damages.

## 10. Governing Law

This EULA shall be governed by the laws of the jurisdiction in which Performave is located, without reference to
conflict of laws principles.

## 11. Entire Agreement

This EULA constitutes the entire agreement between you and Performave relating to the Software and supersedes all prior
or contemporaneous oral or written communications, proposals, and representations with respect to the Software or any
other subject matter covered by this EULA.

## 12. Amendment

Performave reserves the right to amend this EULA at any time, at its sole discretion, by posting an updated version to
its website or through the Software. Your continued use of the Software following the posting of an updated EULA will
mean that you accept those changes.
